module Erorr
  class Railtie < Rails::Railtie
    initializer 'erorr.use_rack_middleware' do |app|
      if defined? ActionDispatch::DebugExceptions
        app.middleware.insert_after ActionDispatch::DebugExceptions, Erorr::Middleware::Rack
      else
        app.middleware.use Erorr::Middleware::Rack
      end
    end

    initializer 'erorr.configuration' do |app|
      Erorr.config.load_for app
    end
  end
end
